package org.springblade.party.feign;

import org.springblade.core.tool.api.R;
import org.springblade.party.entity.PartyMember;
import org.springblade.party.vo.PartyMemberVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class PartyMemberClientFallback implements IPartyMemberClient {
            /**
         * 详情
         */
        @Override
        public PartyMemberVO detail(PartyMember partyMember) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<PartyMemberVO> list(PartyMember partyMember) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( PartyMember partyMember) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( PartyMember partyMember) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( PartyMember partyMember) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

		@Override
		public R isPartyMember(Long id) {
			return null;
		}

		@Override
		public R apply(@Valid PartyMember partyMember) {
			return null;
		}

}
